Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Client

Name

### readStringUntil()

Examples

    // Example by Tom Igoe

    // Creates a client that listens for input until it
    // gets a linefeed character,and puts the bytes it gets
    // into a byte[] buffer

    import processing.net.*;
    Client myClient;
    String inString;
    byte interesting = 10;

    void setup() {
      size (300, 100);
      // Connect to the local machine at port 10002.
      // This example will not run if you haven't
      // previously started a server on this port
      myClient = new Client(this, "127.0.0.1", 10002);
    }

    void draw() {
      if (myClient.available() > 0) {
        background(0);
        inString = myClient.readStringUntil(interesting);
        println(inString);
      }
    }

Description | Combination of readBytesUntil() and readString(). Returns null if it doesn't find what you're looking for.

Syntax

    client.readStringUntil()
    client.readStringUntil(interesting)

Parameters

client | any variable of type Client
client | byte: character designated to mark the end of the data

Returns | int
Usage | Application

Updated on November 22, 2008 08:39:25pm PST